%define oname kde-gtk-config

Summary:	Plasma 5 GTK2 and GTK3 configuration module
Name:		plasma5-%{oname}
Version:	5.12.5
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
Source1:	kde-gtk-config_ru.tar.gz
BuildRequires:	extra-cmake-modules
BuildRequires:	gsettings-desktop-schemas
BuildRequires:	kf5archive-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	pkgconfig(atk)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(pango)
Conflicts:	kde-gtk-config < 5.0
# Prefer plasma5 prefix for Plasma 5 core packages
Obsoletes:	kde-gtk-config-kf5 < 5.2.1-2

%description
Plasma 5 GTK2 and GTK3 configuration module.

Configuration dialog to adapt GTK applications appearance to your taste
under Plasma 5. Among its many features, it lets you:
- Choose which theme is used for GTK2 and GTK3 applications.
- Tweak some GTK applications behaviour.
- Select what icon theme to use in GTK applications.
- Select GTK applications default fonts.
- Easily browse and install new GTK2 and GTK3 themes.

%files -f %{oname}.lang
%{_kde5_datadir}/kcm-gtk-module/preview.ui
%{_kde5_iconsdir}/hicolor/*/apps/kde-gtk-config.*
%{_kde5_libexecdir}/gtk_preview
%{_kde5_libexecdir}/gtk3_preview
%{_kde5_libexecdir}/reload_gtk_apps
%{_kde5_services}/kde-gtk-config.desktop
%{_kde5_sysconfdir}/xdg/cgcgtk3.knsrc
%{_kde5_sysconfdir}/xdg/cgctheme.knsrc
%{_qt5_plugindir}/kcm_kdegtkconfig.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

pushd po
tar xf %{SOURCE1}
popd

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{oname}


%changelog

* Thu May 10 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.5-1
- (a09795a) New version 5.12.5

* Mon Apr 16 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.4-1
- (3759c4c) Build requires gsettings-desktop-schemas
- (Andrey Bondrov: a6c2bf2) New version 5.12.4

* Fri Jan 05 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.5-1
- (3bdc4d5) New version 5.11.5

* Wed Dec 20 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.4-1
- (8b64f19) Update files
- (Andrey Bondrov: fed36b2) New version 5.11.4

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-1
- (8f52b8b) New version 5.10.5

* Fri Aug 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-2
- (afdc971) Update Russian translations

* Wed Aug 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-1
- (f32e350) New version 5.10.4

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (25da249) New version 5.9.4

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (46b7728) New version 5.9.3

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (bd5ff7d) New version 5.9.2

* Mon Feb 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (3be7fc5) New version 5.9.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (6108f2c) MassBuild#1230: Increase release tag

* Fri Feb 03 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (7e8ad93) New version 5.9.0

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-2
- (ee982cf) MassBuild#1211: Increase release tag

* Mon Nov 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-1
- (eceb861) New version 5.8.3

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.2-2
- (27d3fac) MassBuild#1169: Increase release tag

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (8f52b98) New version 5.7.2

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (c2840d0) New version 5.6.5

* Thu Apr 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.3-1
- (b264496) New version 5.6.3

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (648920c) MassBuild#1026: Increase release tag

* Sat Apr 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (5b26cee) Drop gtk-cursors patch (merged upstream)
- (Andrey Bondrov: 6e3b479) New version 5.6.2

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-2
- (07701ad) MassBuild#1001: Increase release tag

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-1
- (f298f14) New version 5.5.5

* Wed Jan 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.4-1
- (aab8c49) New version 5.5.4

* Tue Jan 12 2016 abondrov <andrey.bondrov@rosalab.ru> 5.5.3-4
- (9941922) Update cursors patch

* Sun Jan 10 2016 abondrov <andrey.bondrov@rosalab.ru> 5.5.3-3
- (b870d68) Add gtk-cursors patch to implement changing cursor theme for GTK applications

* Thu Jan 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.3-1
- (8e5f0d6) New version 5.5.3


